summaryrefslogtreecommitdiffstats
path: root/abs/core/qt3/qt.install
diff options
context:
space:
mode:
authorJames Meyer <James.meyer@operamail.com>2008-10-02 03:19:12 (GMT)
committerJames Meyer <James.meyer@operamail.com>2008-10-02 03:19:12 (GMT)
commit0e2532d4e8f4eed5e047f1db54d5c03ba849ec0a (patch)
treec0aa2c0b53c317be87eacfcb77b63f53f1f415e7 /abs/core/qt3/qt.install
downloadlinhes_pkgbuild-0e2532d4e8f4eed5e047f1db54d5c03ba849ec0a.zip
linhes_pkgbuild-0e2532d4e8f4eed5e047f1db54d5c03ba849ec0a.tar.gz
linhes_pkgbuild-0e2532d4e8f4eed5e047f1db54d5c03ba849ec0a.tar.bz2
initial import
Diffstat (limited to 'abs/core/qt3/qt.install')
-rw-r--r--abs/core/qt3/qt.install24
1 files changed, 24 insertions, 0 deletions
diff --git a/abs/core/qt3/qt.install b/abs/core/qt3/qt.install
new file mode 100644
index 0000000..4e2d6b6
--- /dev/null
+++ b/abs/core/qt3/qt.install
@@ -0,0 +1,24 @@
+post_install() {
+ if ! [ `grep '/opt/qt/lib' etc/ld.so.conf` ]; then
+ echo "/opt/qt/lib" >>etc/ld.so.conf
+ sbin/ldconfig -r .
+ fi
+ echo "INFORMATION:"
+ echo "Documentation is seperated it's called qt3-doc"
+}
+
+post_upgrade() {
+ /bin/true
+}
+
+pre_remove() {
+ cat etc/ld.so.conf | grep -v '/opt/qt/lib' >/tmp/.pacqt
+ mv /tmp/.pacqt etc/ld.so.conf
+ chmod 644 etc/ld.so.conf
+ sbin/ldconfig -r .
+}
+
+op=$1
+shift
+
+$op $*